%define name smeserver-subsonic
%define version 4.8
%define release 4
Summary: subsonic is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-subsonic-%{version}.tar.gz
Patch0:  smeserver-subsonic-4.8-patch0.patch
Patch1:  smeserver-subsonic-4.8-patch1.patch
Patch2: smeserver-subsonic-4.8-patch2.patch
Patch3: smeserver-subsonic-4.8-patch3.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: subsonic 
Requires: ffmpeg
Requires: java
AutoReqProv: no

%changelog
* Sat Oct 26 2013 JP Pialasse <tests@pialasse.com> 4.8-4.sme
- fixing some generator errors
- adding configurations described in wiki manual installation
- adding java and ffmpeg requirement
 
* Sat Oct 26 2013  Contrib Maker <tests@pialasse.com> 4.8-1.sme
- initial release
- builds from unchanged .tar.gz 


%description
subsonic is an application adapted as a contrib for SMEserver

%pre

grep '^subsonic:' /etc/passwd > /dev/null || \
/usr/sbin/useradd -c "subsonic" -M -d /usr/share/subsonic   -s /bin/bash subsonic


%prep
%setup  
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


%post
#(needed if a contrib and it contains DB templates)
#/etc/e-smith/events/actions/initialize-default-databases 
#expand-template /etc/e-smith/sql/init/loggerdemo-create-schema.sql
#/etc/rc.d/init.d/mysql.init start
#true
